﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

/* Agregados */


.bg-transmeridian {
    background-color: #174d8f !important;
}
html, body, #app, .page, main, .content {
    height: 100%;
}
input[type="password"]::-ms-reveal {
    display: none;
}

.cursor-pointer :hover{
    cursor:pointer
}

.dropdown-box__content > button{
    width:100%;
}

/*Estilos de validación*/
/* Asegurar que los inputs ocupen toda la línea */
input {
    display: block;
    width: 100%;
    margin-bottom: 0.25rem; /* Espaciado entre el input y el mensaje */
}

/* Estilos para el mensaje de error */
.invalid-feedback {
    left: 0; /* Alinear con el input */
    bottom: -18px; /* Separarlo un poco del input */
    font-size: 0.875em;
    color: #dc3545;
    white-space: nowrap;
}


/* Cuando el input es inválido, mostrar el mensaje */
.is-invalid + .invalid-feedback {
    display: block;
}

/* Estilos para inputs inválidos */
.is-invalid {
    border-color: #dc3545 !important; /* Borde rojo */
    background-color: #fff5f554; /* Fondo ligeramente rosado */
}

.column-sticky {
    position: sticky; 
    left: 0; 
    background: white;
}

.centrar-contenido-vertical {
    display: flex !important;
    align-items: center;
}

/* Clase base para círculos como íconos de lista */
.list-colored-circle {
    list-style: none;
    padding-left: 1.5em;
}
    .display-flex{
        display:flex !important;
    }
    .custom-list-circle::before {
        display:inline-block;
        content: "";
        width: 0.6em;
        height: 0.6em;
        margin-right: 0.5em;
        margin-left: -1em;
        border-radius: 50%;
        background-color: gray; /* color por defecto */
        margin-top:auto;
        margin-bottom:auto;
    }

/* Colores adicionales */
.circle-blue::before {
    background-color: #3a7eb7 !important; /* azul */
}

.circle-green::before {
    background-color: #339d60 !important; /* verde */
}

.circle-red::before {
    background-color: #c35451 !important; /* rojo */
}
.circle-purple::before {
    background-color: #89297d !important; /* morado */
}


.custom-checkbox {
    appearance: none;
    -webkit-appearance: none;
    width: 1rem;
    height: 1rem;
    border: 2px solid #ccc;
    border-radius: 0.25rem;
    cursor: pointer;
    position: relative;
    background-color: white;
    display: flex;
    justify-content: center;
    align-items: center;
}

.custom-checkbox-blue {
    background-color: #3a7eb7 !important; /* azul */
    border-color: #16a34a;
}

.custom-checkbox-green {
    background-color: #16a34a; /* verde */
    border-color: #16a34a;
}

.custom-checkbox-red {
    background-color: #c35451 !important; /* rojo */
    border-color: #16a34a;
}

.custom-checkbox-purple {
    background-color: #89297d !important; /* morado */
    border-color: #16a34a;
}
.tri-checked::after {
    content: '✔';
    color: white;
    line-height: normal;
}

.tri-indeterminate::after {
    content: '—';
    color: white;
    line-height: normal;
    font-weight: bold;
}
.cursor-pointer :hover{
    cursor:pointer;
}

.position-relative{
    position:relative;
}
.align-items-baseline {
    align-items: baseline;
}

.display-block{
    display:block;
}
.font-size-14 {
    font-size: 14px !important;
}
.font-size-18 {
    font-size: 18px !important;
}